%define version	16.0.4
%define release	%mkrel 1

Summary:	A simple-in-use GTK-based text editor
Name:		tea
Version:		%{version}
Release:		%{release}
Epoch:		0
Group:		Editors
License:		GPL
URL:			http://tea-editor.sourceforge.net/
Source0:		%{name}-%{version}.tar.bz2

# icons
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png

BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:		libgtk+2.0-devel gtksourceview-devel gnome-vfs2-devel libGConf2-devel

%description
A simple-in-use GTK-based text editor


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE10 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE11 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE12 %buildroot/%_liconsdir/%name.png

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/tea" \
 icon="%name.png" \
 title="Tea" \
 longtitle="%{summary}" \
 needs="x11" \
 section="More Applications/Editors" \
 xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=tea
Comment=A simple-in-use GTK-based text editor
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Editors;TextEditor;
EOF


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/tea/doc/*
%{_datadir}/tea/pixmaps/*
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_datadir/applications/*


%changelog
* Fri Mar 02 2007 Lenny Cartier <lenny@mandriva.com> 16.0.4-1mdv2007.0
+ Revision: 130947
- Update to 16.0.4

* Tue Feb 27 2007 Lenny Cartier <lenny@mandriva.com> 0:16.0.2-2mdv2007.1
+ Revision: 126259
- xdg menu

* Mon Feb 26 2007 Lenny Cartier <lenny@mandriva.com> 0:16.0.2-1mdv2007.1
+ Revision: 125929
- Update to 16.0.2

* Fri Nov 17 2006 Lenny Cartier <lenny@mandriva.com> 0:14.3.1-1mdv2007.1
+ Revision: 85152
- Update to 14.3.0

* Tue Nov 14 2006 Lenny Cartier <lenny@mandriva.com> 0:14.3.0-1mdv2007.1
+ Revision: 83994
- Update to 14.3.0
- Import tea




* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 0:14.0-1mdv2007.0
- 14.0

* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 13.2-2mdk
- fix buildrequires

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 13.2-1mdk
- 13.2

* Tue May 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 13.0-2mdk
- fix buildrequires (thus fixing x86_64 build)

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 0:13.0-1mdk
- 13.0

* Wed Feb 01 2006 Lenny Cartier <lenny@mandriva.com> 0:12.0-1mdk
- 12.0

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0:10.1-1mdk
- 10.1

* Sat Apr 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8.2-1mdk
- first spec for mdk
